Bug 117122 - [CSS Regions] Fragmented content that is relatively positioned get sliced (and overflows in the next region)
Summary: [CSS Regions] Fragmented content that is relatively positioned get sliced (an...
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: CSS (show other bugs)
Version: 528+ (Nightly build)
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Radu Stavila
URL:
Keywords:
Depends on:
Blocks: 57312 116295
  Show dependency treegraph
 
Reported: 2013-06-02 07:44 PDT by Mihai Balan
Modified: 2013-11-21 06:55 PST (History)
3 users (show)

See Also:


Attachments
Test-case (684 bytes, text/html)
2013-06-02 07:44 PDT, Mihai Balan
no flags Details
Test-case (1.17 KB, application/zip)
2013-06-02 09:00 PDT, Mihai Balan
no flags Details
Patch containing test for visual overflow with positioned, fragmented content (3.22 KB, patch)
2013-11-14 05:12 PST, Radu Stavila
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Mihai Balan 2013-06-02 07:44:23 PDT
Created attachment 203517 [details]
Test-case

The fragmentation spec states that fragmentation should occur before positioning and that fragments should be positioned and overflow their respective containers.
Currently, this does not happen, as the positioned fragments overflow in the next region.
Comment 1 Mihai Balan 2013-06-02 09:00:17 PDT
Created attachment 203527 [details]
Test-case
Comment 2 Michelangelo De Simone 2013-06-13 10:22:43 PDT
Still repros on today's nightly (r151543)
Comment 3 Radu Stavila 2013-11-14 05:12:58 PST
Created attachment 216924 [details]
Patch containing test for visual overflow with positioned, fragmented content

This problem has been fixed by https://bugs.webkit.org/show_bug.cgi?id=118665. After that patch lands, these new tests can be landed as well (the tests fail on the current implementation, without the 118665 patch).
Comment 4 WebKit Commit Bot 2013-11-21 06:55:55 PST
Comment on attachment 216924 [details]
Patch containing test for visual overflow with positioned, fragmented content

Clearing flags on attachment: 216924

Committed r159625: <http://trac.webkit.org/changeset/159625>
Comment 5 WebKit Commit Bot 2013-11-21 06:55:58 PST
All reviewed patches have been landed.  Closing bug.